> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/bsc/submit-bundles/bsc-bundle-submission.md).

# Bundle Submission

Searchers can submit **MEV bundles** to the **Cloud API**, where they are validated and forwarded to **Builders** that are connected to BSC validators participating in Bloxroute’s MEV solution. Bundles are optimized to maximize validator rewards, ensuring efficient MEV extraction.

This service is available via **Cloud API** only.

[Purchase the **Bundle Size Add-on**](https://portal.bloxroute.com/pricing) to **send bundles with more than 2 transactions.**

## Submission Endpoint

* Method: `blxr_submit_bundle`
* Endpoint: `api.blxrbdn.com`
* Request type: *`HTTPS,WSS`*

### **Parameters**

| `txs`                      | A list of raw transaction bytes without a 0x prefix, separated by a comma.                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `blockchain_network`       | Blockchain network name. Must be BSC-Mainnet.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `max_block_number`         | *\[Optional]* Default: current block number + 100                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `reverting_tx_hashes`      | *\[Optional]* A list of transaction hashes within the bundle that are allowed to revert. Default is empty list: the whole bundle would be excluded if any transaction reverts.                                                                                                                                                                                                                                                                                                                                                               |
| `max_timestamp`            | *\[Optional]* The maximum timestamp that the bundle is valid on, an integer in unix epoch format. Default value is None.                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `mev_builders`             | <p><em>\[Optional, default: <code>bloxroute</code> builder]</em> A dictionary of MEV builders that should receive the bundle without delay. For each MEV builder, a signature (which can be an empty string) is required. Possible MEV builders are:</p><ul><li><code>bloxroute</code>: bloXroute internal builder (always enabled for all MEV bundle submission requests)</li><li><code>all</code>: all builders</li><li>Other options: <code>48club</code>, <code>blockrazor</code>, <code>jetbldr</code>, <code>nodereal</code></li></ul> |
| `no_merge`                 | *\[Optional, default: False]* Bundle merge can increase block value and inclusion rate.                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `backrunme_reward_address` | *\[Optional]* When the bundle is enrolled in the BackRunMe service, the transaction's from address collects backrun reward by default. The reward address can be overwritten with this parameter.                                                                                                                                                                                                                                                                                                                                            |

### **Examples**

{% tabs %}
{% tab title="HTTPS" %}

```bash
curl https://api.blxrbdn.com \
    -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
    -d '{
         "id": "1", 
         "method": "blxr_submit_bundle", 
         "params": {
            "txs": ["ab..ab", "cd..cd"],
            "blockchain_network": "BSC-Mainnet",
            "mev_builders": {
                "all": ""
            }
          }
        }'
```

{% endtab %}

{% tab title="wscat" %}
{% code overflow="wrap" %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>"
> {"id": "1", "method": "blxr_submit_bundle", "params": {"txs": ["ab..ab", "cd..cd"], "blockchain_network": "BSC-Mainnet", "mev_builders": {"all": ""}}}
```

{% endcode %}
{% endtab %}
{% endtabs %}

#### Response:

```json
{"id":"1","result":{"bundleHash":"0x4d44c34201452e4799d309f94b2e95c7cfb1599f9be33d60085f4b5808c52bb6"},"jsonrpc":"2.0"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/bsc/submit-bundles/bsc-bundle-submission.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
